Subject: bug#67429: 27.1; oddities with gdb-mode completion buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Nov 2023 13:57:14 +0200

> From: Bruno Haible <[email-masked]>
> Date: Fri, 24 Nov 2023 10:06:25 +0100
> 
> I did 'M-x gdb-mode'

There's no such mode in Emacs, AFAICT.  How did you invoke it?

> and am trying to make use of gdb's
> symbol completion: enter part of the name of a symbol,
> and press <TAB>. Inside Emacs, I'm encountering two
> oddities:
> 
> 1) There is a buffer with possible completions, that
>    disappears after two seconds if I don't choose a
>    completion.
>    After this buffer disappears, my cursor is elsewhere.
>    I need an extra mouse interaction or key presses in
>    order to bring back the cursor, so that I can continue
>    typing the symbol's name.
> 
> 2) In some cases, the buffer does not disappear but stays
>    on screen. Why does it disappear in some cases but not
>    in others?

I tried to reproduce this during debugging from Emacs 27 and Emacs 29,
using "M-x gdb RET", and couldn't: I always get the completions window
stay put until I select some candidate.  At least in Emacs 29, I see
no issues with cursor position, either; in Emacs 27 I saw at least one
problem, but Emacs 27 is very old and no longer maintained (and
gdb-mi.el saw a lot of changes since Emacs 27).

So I suggest to post a complete recipe for reproducing the problem,
preferably starting from "emacs -Q".  I also recommend using Emacs
29.1, which is the latest version that is still being maintained.

Thanks.